// line takes in x1, y1, x2, y2. 
// text can be positioned. dy moves the text down.
export const AxisBottom = ({ xScale, innerHeight }) =>
  xScale.ticks().map(tickValue => (
    <g key={tickValue} transform={`translate(${xScale(tickValue)},0)`}>
      <line y2={innerHeight} stroke="black" />
      <text style={{ textAnchor: 'middle' }} dy=".71em" y={innerHeight + 3}>
        {tickValue}
      </text>
    </g>
  ));